RCS Get Template History

GET Method

The Get Template History API allows you to fetch the latest status change history for a specified template.

Prerequisites

  • After you sign up, your account will be on the trial version. You must complete the KYC to access all the features in kaleyra.io.
  • Before you get started, Create an API Key. To view the API Key and the SID, see View API Key and SID.
  • To send any RCS messages, you must configure the RCS channel in the Kaleyra platform. To configure the RCS channel in your account, please contact your local Kaleyra representative.
  • Make sure an existing RCS template is already created, as this API provides response only related to existing templates.

Base URL

https://rcs-api.<pod>.kaleyra.io/v1/<sid>

API Domain and Value

api_domainValue
IN podhttps://rcs-api.in.kaleyra.io
NA podhttps://rcs-api.na.kaleyra.io

API Request to Get Template History

To get template history, use the https://rcs-api.<pod>.kaleyra.io/v1/<sid>/rcs/template_history/{template_id} endpoint with the following request method:

Request Format

The following is the request format to get template history:

curl --location --request GET 'https://<api_domain>/v1/XXXXX6913850XXXX/rcs/template_history/{template_id}' \
--header 'Content-Type: <content-type>' \
--header 'api-key: <api-key>' \'   

Sample Request Format

The following is the sample request format to get template history:

curl --location --request GET 'https://rcs-api.in.kaleyra.io/v1/XXXXX6913850XXXX/rcs/template_history/3a7370e5-ebcd-4fc3-95cc-6dXXXXXXXX8e' \
--header 'Content-Type: application/JSON' \
--header 'api-key: XXXXX3b8497f58a94e84b671aca43XXXX' \

URL Parameters and Headers

The following is the list of parameters and headers to send the outgoing message request:

Parameter/HeadersData TypeDescriptionExampleMandatory?
sidStringAccount SID (Security Identifier).XXXXX6913850XXXXYes
Content-TypeStringIndicates the format of the content the API will be processing.The only allowed value is application/JSONYes
api-keyStringAPI key generated from kaleyra.io account.XXXXX3b8497f58a94e84b671aca43XXXXYes
template_idStringTemplate ID for which status change history is requested.3a7370e5-ebcd-4fc3-95cc-6dXXXXXXXX8eYes

Sample Success Response

{
  "code": "RCS1102",
  "message": "RCS Template details fetched successfully",
  "data": [
    {
      "template_id": "3a7370e5-ebcd-4fc3-95cc-6dXXXXXXXX8e",
      "status": "CREATED",
      "created_date": "2026-03-26T06:24:38Z",
      "created_by": "b5ba2948-1c35-4d56-b9d6-4XXXXXXXX770"
    }
  ],
  "error": {}
}

The following table lists the RCS template status codes with their meanings:

CodeDescription
RCS1102Success
RCS1104Client error (validation failure, bad request).
RCS1105Server error.

The following table lists common RCS API error responses and their meanings.

HTTP StatusCodeMessageError CodeError Message
400RCS601RCS Channel is not enabled for this UserRCS_CHANNEL_DISABLEDRCS Channel is not enabled for this User.
4xxRCS1104Unable to fetch RCS Template historyPROV_ERRORUpstream error body.
500RCS502Internal Gateway ErrorRCS_CHANNEL_INTERNAL_ERRORInternal Gateway Error.

The following table lists common error codes, message, and the conditions that trigger them.

Error CodeMessageTrigger
MISSING_REQUIRED_FIELDSRequired fields are missing.One or more required fields are missing or contain empty values.
INVALID_FIELD_VALUESTemplate Type and Value mismatch Error.Template type / payload mismatch or invalid value.
MAX_CHAR_LIMIT_EXCEEDEDMaximum Allowed char limit exceeded.Field exceeds the defined maximum character limit.
FIELD_VALUE_ERRORInvalid field values are passed.Field values are not within the allowed values list.
RESTRICTED_FIELDS_MODIFY_ATTEMPTCannot modify restricted fields during update.Attempted to change template_id or template_number.
INVALID_JSON_PAYLOADInvalid JSON format passed.Malformed JSON in request body.
RCS_CHANNEL_DISABLEDRCS Channel is not enabled for this user.RCS channel is not enabled or configured for the user account.

The following is the list of sample failure responses:

HTTP StatusCodeMessageError CodeError Message
405RCS405Method not allowed.METHOD_NOT_ALLOWEDMethod not allowed.
400RCS601RCS Channel is not enabled for this User.RCS_CHANNEL_DISABLEDRCS Channel is not enabled for this User.
400RCS701Invalid JSON format passed.INVALID_JSON_PAYLOADInvalid JSON format passed.
400RCS1104Required fields are missing.MISSING_REQUIRED_FIELDSMissing required fields: agent_number, template_type, or template_name.
400RCS1104Template Type and Value mismatch Error.INVALID_FIELD_VALUEStext is required when template_type is 1.
400RCS1104Template Type and Value mismatch Error.INVALID_FIELD_VALUESInvalid template_type: 99, Allowed values are: 1, 3, 4, or 5.
400RCS1104Maximum Allowed char limit exceeded.MAX_CHAR_LIMIT_EXCEEDEDField-specific details.
400RCS1104Invalid field values are passed.FIELD_VALUE_ERRORInvalid template_type: 99, Allowed values are: 1, 3, 4, or 5.
4xxRCS1104RCS Template creation Failed.PROV_ERRORUpstream error body.
500RCS502Internal Gateway Error.RCS_CHANNEL_INTERNAL_ERRORInternal Gateway Error.




© 2026 Kaleyra Inc. All rights reserved.
Trademarks, logos and service marks displayed on this site are registered and unregistered trademarks of Kaleyra Inc.